Adds custom render mesh parameters to a meshable object, such as a surface or a polysurface. If an object has custom render mesh parameters and they are enabled, then they will be used, instead of the document's render mesh parameters, when a render mesh is generated for the object.
For more information on render meshes, see the Document Properties: Mesh topic in the Rhino help file.
Rhino.AddObjectMesh (strObject [, intQuality [, blnEnable]])
strObject |
Required. Object. The identifier of a meshable object. |
||||||||
intQuality |
Optional. Number. The initial settings of the new custom render mesh parameters. The available options are as follows:
|
||||||||
blnEnable |
Optional. Boolean. Enable the custom render mesh parameters. If omitted, the newly added parameters will be enabled (True). |
Boolean |
True if successful, false otherwise. |
Null |
On error. |
Dim strObject
strObject = Rhino.GetObject("Select object")
If Rhino.ObjectHasMesh(strObject) = False Then
Rhino.AddObjectMesh strObject, 1, True
End If